

<div class="row">
    <div class="col-md-12">
        <form autocomplete="off" #form="ngForm">
            <div class="row justify-content-center">
                <div class="col-md-11" input-wrapper label="Identificador" labelClass="text-white mt-4 mb-2">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <div class="input-group-text bg-teal border-dark-darken text-white">
                                <i class="mdi mdi-file-document-box-check"></i>
                            </div>
                        </div>
                        <input type="text" id="dni" #dni="ngModel" class="form-control border-dark-darken" name="dni"
                            [ngModel]="service.model.VisitanteDNI | cedula" #focus required [readonly]="canEdit"
                            (ngModelChange)="service.model.VisitanteDNI = $event" (keyup.enter)="add()">
                    </div>
                </div>
                <div class="col-md-11" [input-wrapper]="nombre" label="Nombre" labelClass="text-white mb-2">
                    <input type="text" id="nombre" class="form-control border-dark-darken" name="nombre"
                        [(ngModel)]="service.model.VisitanteNombre" #nombre="ngModel" [disabled]="!canEdit">
                </div>
                <div class="col-md-11" [input-wrapper]="residencia" label="Numero de Residencia" labelClass="text-white mb-2">
                    <div class="input-group">
                        <input type="text" id="residencia" class="form-control c-default border-dark-darken" name="residencia"
                            [ngModel]="service.model.ResidenciaNumero" #residencia="ngModel" readonly>
                        <div class="input-group-append">
                            <button class="btn btn-info" (click)="search.show()" [disabled]="!canEdit">
                                <i class="mdi mdi-home-plus"></i>
                            </button>
                        </div>
                    </div>
                </div>
                <div class="col-md-11" [input-wrapper]="motivo" label="Motivo (opcional)" labelClass="text-white mb-2">
                    <input type="text" id="motivo" class="form-control border-dark-darken" name="motivo"
                        [(ngModel)]="service.model.Motivo" #motivo="ngModel" [disabled]="!canEdit">
                </div>
                <div class="col-md-11" [input-wrapper]="nota" label="Nota (opcional)" labelClass="text-white mb-2">
                    <input type="text" id="nota" class="form-control border-dark-darken" name="nota"
                        [(ngModel)]="service.model.Nota" #nota="ngModel" [disabled]="!canEdit">
                </div>
            </div>
            <div class="row justify-content-center">
                <div class="col-md-11">
                    <table class="table table-bordered">
                        <thead>
                            <tr class="text-center">
                                <th class="p-0">
                                    <button class="btn btn-info btn-block btn-sm" (click)="addDateTime('llegada')"
                                        [disabled]="!canEdit">
                                        Entrada
                                    </button>
                                </th>
                                <th class="p-0">
                                    <button class="btn btn-danger btn-block btn-sm" (click)="addDateTime('salida')"
                                        [disabled]="!canEdit">
                                        Salida
                                    </button>
                                </th>
                            </tr>
                        </thead>
                        <tr class="text-center bg-dark">
                            <td class="text-white font-xs p-0">
                                <input type="text" class="form-control bg-transparent text-center text-white border-0 c-default"
                                    [ngModel]="service.model.Llegada | date:'dd-MM-yyyy HH:mm:ss'" name="llegada" readonly
                                    (ngModelChange)="service.model.Llegada = $event">
                            </td>
                            <td class="text-white font-xs p-0">
                                <input type="text" class="form-control bg-transparent text-center text-white border-0 c-default"
                                    [ngModel]="service.model.Salida | date:'dd-MM-yyyy HH:mm:ss'" name="salida" readonly
                                    (ngModelChange)="service.model.Salida = $event">
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            <div class="row align-items-center">
                <div class="col-2" *ngIf="service.model.Reportado">
                    <span class="badge badge-danger">Reportado</span>
                </div>
                <div class="col-2" *ngIf="service.model.TieneEntrada">
                    <span class="badge badge-info">Dar Entrada</span>
                </div>
                <div class="col-6 ml-auto text-right">
                    <button class="btn btn-teal position-relative mr-2"
                        [disabled]="(service.loading | async) || form.invalid" (click)="add()">
                        {{ canEdit ? 'Guardar' : 'Buscar' }}
                        <span class="spinner-border spinner-border-sm text-white ml-2" *ngIf="(service.loading | async)"></span>
                    </button>
                    <button class="btn btn-danger" (click)="cancel()" >Cancelar</button>
                </div>
            </div>
        </form>
    </div>
</div>

<search-template #search searchTitle="Residencias" [service]="residenciaService" [columns]="residenciaColumns"
    (onSelect)="selectedItem($event)">
</search-template>



